Page MenuHomePhabricator

allocate hardware for salt master in codfw
Closed, ResolvedPublic

Description

Allocate a box for use as salt master (probably syndic with multimaster eventually for redundancy) for codfw

Event Timeline

ArielGlenn raised the priority of this task from to Needs Triage.
ArielGlenn updated the task description. (Show Details)
ArielGlenn added a subscriber: ArielGlenn.
Restricted Application added a project: SRE. · View Herald TranscriptJan 13 2016, 8:36 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
ArielGlenn set Security to None.

I'd like 16GB ram, 16 cores if we have a spare laying around that meets those specs. This is lower powered than neodymium; my gut feel is that this will be enough as long as we're not running other things over there e.g. puppetmaster.

RobH assigned this task to ArielGlenn.Jan 13 2016, 9:21 PM
RobH added subscribers: RobH, mark.

So we don't have any systems that are spare and have that core count without also having an insane amount of storage. We have the spares listed on the tab 'CODFW Spare Servers' on this google sheet.

@ArielGlenn: 16 cores is a LOT of cores, does that take into account hyperthreading counting as cores? neodymium has dual intel xeon E5-2440. Link to Intel Site Info 2.4GHz and 6 cores per cpu.

So we've moved to less cores and higher clock speeds on the misc. specifications. So the spare systems I have available in codfw (that have dual cpu):

Asset TagHostnameWarranty ExpiryRackModelCPUCPU GHzCPU Core CountMemoryDisks
WMF58512016-01-13A5Dell PowerEdge R420Intel® Xeon® Processor E5-24403.00632GBDual 500GB
WMF5849rbf20012016-01-13A5Dell PowerEdge R420Intel® Xeon® Processor E5-24403.00632GBDual 500GB
WMF63782018-12-07A5Dell PowerEdge R430Intel® Xeon® Processor E5-2623 v33.00432GBQuad 4TB
WMF63802018-12-07B5Dell PowerEdge R430Intel® Xeon® Processor E5-2623 v33.00432GBQuad 4TB
WMF63812018-12-07C5Dell PowerEdge R430Intel® Xeon® Processor E5-2623 v33.00432GBQuad 4TB
WMF63822018-12-07C5Dell PowerEdge R430Intel® Xeon® Processor E5-2623 v33.00432GBQuad 4TB
WMF63842018-12-07D5Dell PowerEdge R430Intel® Xeon® Processor E5-2623 v33.00432GBQuad 4TB

So I'd like to use either WMF5851 or WMF5849, since they have a total presenting cores (including hyperthreading similar to neodymium) of 12 actual and 24 ht-total cores. The use of the 4 * 4TB seems overkill for salt (but they are overkill no matter what, sata disks are cheap.) If we need this salt-master to eventually/poentially do other things in codfw, then one of the newer misc systems may be best.

@ArielGlenn: Please provide feedback? I'm assigning back to you for input. Once you have done so, this can likely get escalated to @mark for his approval and then back to me (@RobH) for implementation.

Thanks!

You're right, I checked facter and forgot about hyperthreading which is enabled over there on neodymium. So we could go 2 6-cores and be fine. WMF5851 seems good to me, let's do it!

RobH reassigned this task from ArielGlenn to mark.Jan 13 2016, 9:33 PM

@mark,

I'm assigning this to you for your approval of spare system allocation to a salt-master in codfw.

The system allocated is one of our older spares in codfw (chosen due to the low storage requirements of the salt-master) WMF5851.

The details of this system and the alternatives are listed in this tasks history.

Please review and approve/deny/question/clarify the allocation of WMF5851 and assign back to me.

Thanks!

Papaul added a subscriber: Papaul.Jan 19 2016, 4:04 PM

@RobH the HW warranty expiration date on this system is 2016-01-13. Is it okay to allocate this system for that purpose?

RobH added a comment.EditedJan 19 2016, 4:17 PM

@Papaul: Not yet. I have this assigned to @mark for his review. We shouldn't assign spares (in non emergency situations) without clearing it with him.

In regards to it being out of warranty, that isn't enough reason to cease using it. In the instance of a salt-master, out of warranty is likely a non-issue. (We can spin up multiple masters and replace them when needed.) I don't make the final call on that though, Mark does.

mark removed mark as the assignee of this task.Feb 2 2016, 7:07 PM

Approved.

RobH claimed this task.Feb 2 2016, 9:18 PM
ArielGlenn moved this task from Backlog to active on the Salt board.Feb 3 2016, 3:12 PM
RobH closed this task as Resolved.Feb 4 2016, 12:03 AM

This has been approved, resolving the request task. Task T125752 has been created for the setup and deployment of the server and assorted services.

ArielGlenn moved this task from active to Done on the Salt board.Feb 8 2016, 10:28 AM